ServerEvents.recipes(event =>{
  event.shaped('kubejs:calcite_ore', ["ab ", "ba ", "   "], {
    a: "minecraft:cobblestone",
    b: "minecraft:calcite"
    })
  })
ServerEvents.recipes(event =>{
  event.shaped('kubejs:granite_ore', ["ab ", "ba ", "   "], {
    a:"minecraft:cobblestone",
    b: "minecraft:granite"
    })
  })
ServerEvents.recipes(event =>{
  event.shaped('kubejs:diorite_ore', ["ab ", "ba ", "   "], {
    a: "minecraft:cobblestone",
    b: "minecraft:diorite"
    })
  })
ServerEvents.recipes(event =>{
  event.shaped('kubejs:andesite_ore', ["ab ", "ba ", "   "], {
    a: "minecraft:cobblestone",
    b: "minecraft:andesite"
    })
  })
ServerEvents.recipes(event =>{
  event.shaped('minecraft:kelp', [" aa", "aaa", "aa "], {
    a: "thermal:flax"
    })
  })
ServerEvents.recipes(event =>{
  event.shaped('minecraft:ink_sac', ["aa ", "aa ", "   "], {
    a: "minecraft:black_dye"
    })
  })
ServerEvents.recipes(event =>{
  event.shaped('kubejs:tuff_ore', ["ab ", "ba ", "   "], {
    a: "minecraft:cobblestone",
    b: "minecraft:tuff"
    })
  })
ServerEvents.recipes(event =>{
  event.shaped('minecraft:blaze_rod', ["aa ", "aa ", "   "], {
    a: "minecraft:blaze_powder"
    })
  })
ServerEvents.recipes(event =>{
  event.shaped('create:blaze_burner', ["aba", "cdc", "aba"], {
    a: "minecraft:blaze_rod",
    b: "minecraft:magma_cream",
    c: "minecraft:fire_charge",
    d: "create:empty_blaze_burner"
    })
  })
ServerEvents.recipes(event =>{
  event.shaped('kubejs:grave_soil', ["aba", "bcb", "aba"], {
    a: "minecraft:gravel",
    b: "minecraft:dirt",
    c: "minecraft:cobblestone"
    })
  })
ServerEvents.recipes(event =>{
  event.shapeless('create:andesite_alloy',[
    'minecraft:cobblestone',
    'minecraft:diorite',
    'minecraft:andesite',
    'minecraft:granite',
    'minecraft:calcite',
    ])
  })
ServerEvents.recipes(event =>{
  event.shaped('kubejs:straw_base', [" aa", "aa ", "a  "], {
    a: "minecraft:stick",
    })
  })
ServerEvents.recipes(event =>{
  event.shaped('kubejs:ultimate_circuit', ["aba", "bcb", "aba"], {
    a: "mekanism:ultimate_control_circuit",
    b: "mekanism:alloy_atomic",
    c: "minecraft:netherite_ingot"
    })
  })
ServerEvents.recipes(event =>{
  event.shaped('minecraft:netherite_upgrade_smithing_template', ["aba", "aca", "aaa"], {
    a: "minecraft:diamond",
    c: "minecraft:netherrack",
    b: "minecraft:nether_star"
    })
  })
ServerEvents.recipes(event =>{
  event.shapeless('create:andesite_alloy',[
    'minecraft:cobblestone',
    'minecraft:diorite',
    'minecraft:andesite',
    'minecraft:granite',
    'minecraft:calcite',
    ])
  })
ServerEvents.recipes(event =>{
  event.shaped('kubejs:ultimate_augment', ["a b", " c ", "a b"], {
    a: "thermal_extra:rf_coil_storage_augment_5",
    b: "thermal_extra:machine_speed_augment_4",
    c: "thermal_extra:upgrade_augment"
    })
  })
ServerEvents.recipes(event =>{
  event.shaped('kubejs:ultimate_gear', ["aba", "cde", "aba"], {
    a: "kubejs:nitro_rod",
    b: "kubejs:ultimate_circuit",
    c: "kubejs:ultimate_augment",
    d: "draconicevolution:dragon_heart",
    e: "kubejs:ultimate_addon"
    })
  })
ServerEvents.recipes(event =>{
  event.shaped('ae2:calculation_processor_press', ["aaa", "aba", "aaa"], {
    a: "ae2:certus_quartz_crystal",
    b: "minecraft:iron_block",
    })
  })
ServerEvents.recipes(event =>{
  event.shaped('ae2:logic_processor_press', ["aaa", "aba", "aaa"], {
    a: "ae2:certus_quartz_crystal",
    b: "minecraft:gold_block",
    })
  })
ServerEvents.recipes(event =>{
  event.shaped('ae2:engineering_processor_press', ["aaa", "aba", "aaa"], {
    a: "ae2:certus_quartz_crystal",
    b: "minecraft:diamond_block",
    })
  })
ServerEvents.recipes(event =>{
  event.shaped('ae2:silicon_press', ["aaa", "aba", "aaa"], {
    a: "ae2:certus_quartz_crystal",
    b: "ae2:silicon",
    })
  })
ServerEvents.recipes(event =>{
  event.shaped('cabletiers:mega_disk_manipulator', ["aba", "bcb", "aba"], {
    a: "minecraft:netherite_block",
    b: "cabletiers:ultra_disk_manipulator",
    c: "minecraft:dragon_egg",
    })
  .id('cabletiers:mega_disk_manipulator')
  })

// thermal
ServerEvents.recipes(event =>{
  event.shaped('minecraft:elytra', ["aaa", "aba", "aaa"], {
    a: "minecraft:phantom_membrane",
    b: "cyclic:charm_world",
    })
  })
ServerEvents.recipes(event =>{
  event.shaped('minecraft:sculk', [" a ", "aba", " a "], {
    a: "thermal:apatite",
    b: "minecraft:blackstone",
    })
  })